//
//  CS52_12_4132_1230718_AshleyZeldin
//
//  Ashley Zeldin
//  CS 52 Section 4132
//  December 13, 2015
//
//  Dealer.h
//
//  Modified from the version created by Howard Stahl on April 30, 2015.
//

#ifndef CS52_12_4132_1230718_AshleyZeldin_Dealer_H
#define CS52_12_4132_1230718_AshleyZeldin_Dealer_H

#include <iostream>
#include "Card.h"

#define DECKSIZE 52

namespace CS52
{
    class Dealer
    {
    public:
        
        //Constructors
        
        //Default constructor.
        Dealer();
        
        //Modifiers
        
        //Deal a new card.
        Card dealCard();
        
        //Reset deck.
        void shuffleDeck();
        
    private:
        
        //A deck of cards.
        Card cards[DECKSIZE];
        
        //An array that parallels the deck of cards in use to track cards dealt already.
        bool cardsUsed[DECKSIZE];
        
        //An integer that tracks how many cards have been dealt.
        int  totalUsed;
    };
}

#endif
