//
//  CS52_12_4132_1230718_AshleyZeldin
//
//  Ashley Zeldin
//  CS 52 Section 4132
//  December 13, 2015
//
//  Game.h
//
//  Modified from the version created by Howard Stahl on April 30, 2015.
//

#ifndef CS52_12_4132_1230718_AshleyZeldin_Game_H
#define CS52_12_4132_1230718_AshleyZeldin_Game_H

#include "ThreeCardHand.h"

namespace CS52
{
    class Game
    {
    public:
        
        //Constructors
        
        //Default constructor.
        Game();
        
        //Getters
        
        //Determination that game has been won.
        bool won();
        
        //Determination that game has been lost.
        bool lost();
        
        //Modifiers
        
        //Initiate an instance of the game comparing suits of three randomly selected cards.
        void play();
        
    private:
        
        //A pointer variable to an instance of a three-card hand.
        ThreeCardHand * hand;
        
        //A boolean variable that tracks whether the previous game was won.
        bool haveWon;
    };
}

#endif
